clear
clc
path='D:\#课题\#国家社科\#数据\#matlab数据rural\1991\';
Files = dir(strcat(path,'*.csv'));
LengthFiles = length(Files);%%将每次循环不同的文件都输出结果
m=60;%m为单个数组的行数
n=23;%n为单个数组的列数
l=13;%数据只有l列
xls_data=zeros(m,n);
 xls_data_bq=xlsread("D:\#课题\#国家社科\#数据\#matlab数据rural\1991\buqi.xlsx");%xls_data_bq为补齐的矩阵
for i = 1:LengthFiles
     xls_data1 = xlsread(strcat(path,Files(i).name));
            file_name=Files(i).name; 
    for j=1:m
        for y=1:l  
            xls_data2((i-1)*60+j,y)=xls_data1(j,y+1);
        end
    end
        for j1=1:m
        for y1=1:n-l
            xls_data2((i-1)*60+j1,y1+l)=xls_data_bq(j1,y1+1);
        end
    end
end
for a=1:LengthFiles
    xls_data=xls_data2(((a-1)*60+1):((a)*60),:);
   
    nosch_male_sum(:,a) =sum( xls_data(:,2:2:12),2);%文盲
    nosch_male_per(:,a) =xls_data(:,2)./nosch_male_sum(:,a);
    nosch_female_sum(:,a) =sum( xls_data(:,3:2:13),2);
    nosch_female_per(:,a) =xls_data(:,3)./nosch_female_sum(:,a);
    primary_male_sum(:,a) =sum( xls_data(:,2:2:12),2);%小学
    primary_male_per(:,a) =xls_data(:,4)./primary_male_sum(:,a);
    primary_female_sum(:,a) =sum( xls_data(:,3:2:13),2);
    primary_female_per(:,a) =xls_data(:,5)./primary_female_sum(:,a);
    junior_male_sum(:,a) =sum( xls_data(:,2:2:12),2);%初中
    junior_male_per(:,a) =xls_data(:,6)./junior_male_sum(:,a);
    junior_female_sum(:,a) =sum( xls_data(:,3:2:13),2);
    junior_female_per(:,a) =xls_data(:,7)./junior_female_sum(:,a);
    senior_male_sum(:,a) =sum( xls_data(:,2:2:12),2);%高中
    senior_male_per(:,a) =xls_data(:,8)./senior_male_sum(:,a);
    senior_female_sum(:,a) =sum( xls_data(:,3:2:13),2);
    senior_female_per(:,a) =xls_data(:,9)./senior_female_sum(:,a);
    college_male_sum(:,a) =sum( xls_data(:,2:2:12),2);%大专
    college_male_per(:,a) =xls_data(:,10)./college_male_sum(:,a);
    college_female_sum(:,a) =sum( xls_data(:,3:2:13),2);
    college_female_per(:,a) =xls_data(:,11)./college_female_sum(:,a);
    university_male_sum(:,a) =sum( xls_data(:,2:2:12),2);%本科
    university_male_per(:,a) =xls_data(:,12)./university_male_sum(:,a);
    university_female_sum(:,a) =sum( xls_data(:,3:2:13),2);
    university_female_per(:,a) =xls_data(:,13)./university_female_sum(:,a);
    edu_male(:,a) =primary_male_per(:,a).*0.1829+junior_male_per(:,a).*0.4618+senior_male_per(:,a).*0.2212+college_male_per(:,a).*0.3891+university_male_per(:,a).*0.4925;%男性edu1991年方程
    edu_female(:,a) =primary_female_per(:,a).*0.1829+junior_female_per(:,a).*0.4618+senior_female_per(:,a).*0.2212+college_female_per(:,a).*0.3891+university_female_per(:,a).*0.4925;%女性edu1991年方程
    male(:,a) =xls_data(:,4)  + xls_data(:,6) + xls_data(:,8) + xls_data(:,10) + xls_data(:,12);%男性总人口
    female(:,a) =xls_data(:,5)  + xls_data(:,7) + xls_data(:,9) + xls_data(:,11) + xls_data(:,13);%女性总人口
    HC_edu_male(:,a) =edu_male(:,a) .* male(:,a);%人口加权的男性教育方面人力资本
    HC_edu_female(:,a) =edu_female(:,a) .* female(:,a);%人口加权的女性教育方面人力资本
    HC_edu_totmale(a,1) =sum(HC_edu_male(16:60,a),1);%男性总教育人力资本
    HC_edu_totfemale(a,1) =sum(HC_edu_female(16:55,a),1);%女性总教育人力资本
    pop(:,a) =sum( xls_data(:,2:13),2);%分年龄段总人口
    totpop(a,1) =sum(pop(16:60,a),1);%总人口（大于14岁的）
    HC_exp_primary(:,a) =(xls_data(:,14).* xls_data(:,4)) + (xls_data(:,15).* xls_data(:,5));%分年龄小学经验人力资本
    HC_exp_junior(:,a) =(xls_data(:,16).* xls_data(:,6)) + (xls_data(:,17).* xls_data(:,7));
    HC_exp_senior(:,a) =(xls_data(:,18).* xls_data(:,8)) + (xls_data(:,19).* xls_data(:,9));
    HC_exp_college(:,a) =(xls_data(:,20).* xls_data(:,10)) + (xls_data(:,21).* xls_data(:,11));
    HC_exp_university(:,a) =(xls_data(:,22).* xls_data(:,12)) + (xls_data(:,23).* xls_data(:,13));
    HC_exp_totprimary(a,1) =sum(HC_exp_primary(16:60,a),1);%总的小学经验人力资本
    HC_exp_totjunior(a,1) =sum(HC_exp_junior(16:60,a),1);
    HC_exp_totsenior(a,1) =sum(HC_exp_senior(16:60,a),1);
    HC_exp_totcollege(a,1) =sum(HC_exp_college(16:60,a),1);
    HC_exp_totuniversity(a,1) =sum(HC_exp_university(16:60,a),1);
    HC_edu(a,1) =HC_edu_totmale(a,1)+HC_edu_totfemale(a,1);%总的教育的人力资本
    HC_edu_aver(a,1) =HC_edu(a,1)/totpop(a,1);%教育的人均人力资本
    HC_exp(a,1) =HC_exp_totprimary(a,1)+HC_exp_totjunior(a,1)+HC_exp_totsenior(a,1)+HC_exp_totcollege(a,1)+HC_exp_totuniversity(a,1);%总的经验的人力资本
    HC_exp_aver(a,1) =HC_exp(a,1)/totpop(a,1);%经验的人均人力资本
    HC_edu_maleprimary(:,a)=primary_male_per(:,a).*0.1829;%男性小学教育人力资本系数
    HC_edu_femaleprimary(:,a)=primary_female_per(:,a).*0.1829;%女性小学教育人力资本系数
    HC_edu_totmaleprimary(:,a) = HC_edu_maleprimary(:,a).*xls_data(:,4);%人口加权的男性小学人力资本
    HC_edu_totfemaleprimary(:,a) = HC_edu_maleprimary(:,a).*xls_data(:,5);%人口加权的女性小学人力资本
    HC_edu_totprimary(a,1)=sum(HC_edu_totmaleprimary(16:60,a),1)+sum(HC_edu_totfemaleprimary(16:55,a),1);%总的人口加权的教育小学人力资本
    HC_primary(a,1)=HC_edu_totprimary(a,1)+HC_exp_totprimary(a,1);%总的人口加权的教育小学人力资本+经验小学人力资本
    pop_primary(:,a)=xls_data(:,4)+xls_data(:,5);%分年龄段小学人口
    totpop_primary(a,1)=sum(pop_primary(16:60,a,1));%总的小学人口数
    HC_primary_aver(a,1) = HC_primary(a,1)/totpop_primary(a,1);%小学人均人力资本
    HC_edu_malejunior(:,a)=junior_male_per(:,a).*0.4618;%男性初中教育人力资本系数
    HC_edu_femalejunior(:,a)=junior_female_per(:,a).*0.4618;%女性初中教育人力资本系数
    HC_edu_totmalejunior(:,a) = HC_edu_malejunior(:,a).*xls_data(:,6);%人口加权的男性初中人力资本
    HC_edu_totfemalejunior(:,a) = HC_edu_malejunior(:,a).*xls_data(:,7);%人口加权的女性初中人力资本
    HC_edu_totjunior(a,1)=sum(HC_edu_totmalejunior(16:60,a),1)+sum(HC_edu_totfemalejunior(16:55,a),1);%总的人口加权的教育初中人力资本
    HC_junior(a,1)=HC_edu_totjunior(a,1)+HC_exp_totjunior(a,1);%总的人口加权的教育初中人力资本+经验初中人力资本
    pop_junior(:,a)=xls_data(:,6)+xls_data(:,7);%分年龄段初中人口
    totpop_junior(a,1)=sum(pop_junior(16:60,a,1));%总的初中人口数
    HC_junior_aver(a,1) = HC_junior(a,1)/totpop_junior(a,1);%初中人均人力资本
    HC_edu_malesenior(:,a)=senior_male_per(:,a).*0.2212;%男性高中教育人力资本系数
    HC_edu_femalesenior(:,a)=senior_female_per(:,a).*0.2212;%女性高中教育人力资本系数
    HC_edu_totmalesenior(:,a) = HC_edu_malesenior(:,a).*xls_data(:,8);%人口加权的男性高中人力资本
    HC_edu_totfemalesenior(:,a) = HC_edu_malesenior(:,a).*xls_data(:,9);%人口加权的女性高中人力资本
    HC_edu_totsenior(a,1)=sum(HC_edu_totmalesenior(16:60,a),1)+sum(HC_edu_totfemalesenior(16:55,a),1);%总的人口加权的教育高中人力资本
    HC_senior(a,1)=HC_edu_totsenior(a,1)+HC_exp_totsenior(a,1);%总的人口加权的教育高中人力资本+经验高中人力资本
    pop_senior(:,a)=xls_data(:,8)+xls_data(:,9);%分年龄段高中人口
    totpop_senior(a,1)=sum(pop_senior(16:60,a,1));%总的高中人口数
    HC_senior_aver(a,1) = HC_senior(a,1)/totpop_senior(a,1);%高中人均人力资本
    HC_edu_malecollege(:,a)=college_male_per(:,a).*0.3891;%男性大专教育人力资本系数
    HC_edu_femalecollege(:,a)=college_female_per(:,a).*0.3891;%女性大专教育人力资本系数
    HC_edu_totmalecollege(:,a) = HC_edu_malecollege(:,a).*xls_data(:,10);%人口加权的男性大专人力资本
    HC_edu_totfemalecollege(:,a) = HC_edu_malecollege(:,a).*xls_data(:,11);%人口加权的女性大专人力资本
    HC_edu_totcollege(a,1)=sum(HC_edu_totmalecollege(16:60,a),1)+sum(HC_edu_totfemalecollege(16:55,a),1);%总的人口加权的教育大专人力资本
    HC_college(a,1)=HC_edu_totcollege(a,1)+HC_exp_totcollege(a,1);%总的人口加权的教育大专人力资本+经验大专人力资本
    pop_college(:,a)=xls_data(:,10)+xls_data(:,11);%分年龄段大专人口
    totpop_college(a,1)=sum(pop_college(16:60,a,1));%总的大专人口数
    HC_college_aver(a,1) = HC_college(a,1)/totpop_college(a,1);%大专人均人力资本
    HC_edu_maleuniversity(:,a)=university_male_per(:,a).*0.4925;%男性本科教育人力资本系数
    HC_edu_femaleuniversity(:,a)=university_female_per(:,a).*0.4925;%女性本科教育人力资本系数
    HC_edu_totmaleuniversity(:,a) = HC_edu_maleuniversity(:,a).*xls_data(:,12);%人口加权的男性本科人力资本
    HC_edu_totfemaleuniversity(:,a) = HC_edu_maleuniversity(:,a).*xls_data(:,13);%人口加权的女性本科人力资本
    HC_edu_totuniversity(a,1)=sum(HC_edu_totmaleuniversity(16:60,a),1)+sum(HC_edu_totfemaleuniversity(16:55,a),1);%总的人口加权的教育本科人力资本
    HC_university(a,1)=HC_edu_totuniversity(a,1)+HC_exp_totuniversity(a,1);%总的人口加权的教育本科人力资本+经验本科人力资本
    pop_university(:,a)=xls_data(:,12)+xls_data(:,13);%分年龄段本科人口
    totpop_university(a,1)=sum(pop_university(16:60,a,1));%总的本科人口数
    HC_university_aver(a,1) = HC_university(a,1)/totpop_university(a,1);%本科人均人力资本
    HC(a,1) =HC_edu(a,1)+HC_exp(a,1);%总的人力资本
    HC_aver(a,1) =HC(a,1)/totpop(a,1);%总的人均人力资本
end
HC_1991=[HC_edu,HC_edu_aver,HC_exp,HC_exp_aver,HC,HC_aver, HC_primary, HC_primary_aver,HC_junior, HC_junior_aver,HC_senior, HC_senior_aver,HC_college, HC_college_aver, HC_university,HC_university_aver];